DelMapa = AceLibrary("AceAddon-2.0"):new(
	"AceConsole-2.0",
	"AceHook-2.1"
)

DelMapa.version = "1.0." .. string.gsub("$Revision: 18244 $", "^.-(%d+).-$", "%1")
DelMapa.date = string.sub("$Date: 2006-11-28 04:08:33 -0500 (Tue, 28 Nov 2006) $", 8, 17)

DelMapa:RegisterChatCommand({"/delmapa"})

local MM = Minimap

function DelMapa:OnEnable()
	MM:EnableMouseWheel(true)
	self:HookScript(MM, "OnMouseWheel", "MiniMapZoom")
	self:HookScript(MM, "OnMouseUp", "MiniMapClick")
	MiniMapWorldMapButton:Hide()
	MinimapZoomOut:Hide()
	MinimapZoomIn:Hide()
end

function DelMapa:OnDisable()
	MiniMapWorldMapButton:Show()
	MinimapZoomOut:Show()
	MinimapZoomIn:Show()
end

function DelMapa:MiniMapZoom()
	local zoom = MM:GetZoom()
	if arg1 > 0 then
		if zoom < MM:GetZoomLevels() then
			MM:SetZoom(zoom + 1)
		end
	else
		if zoom > 0 then
			MM:SetZoom(zoom - 1)
		end
	end
end

function DelMapa:MiniMapClick()
	local button = arg1
	if ((button ~= "Button4") and (button ~= "Button5")) then
		Minimap_OnClick()
	end
end